cURL
curl --request POST \ --url https://api.sequence.app/rpc/Builder/ListContracts \ --header 'Content-Type: application/json' \ --header 'X-Access-Key: <api-key>' \ --data ' { "projectId": 123, "filter": { "chainId": 123, "contractSourceType": "LINKED", "contractType": "<string>" }, "page": { "pageSize": 123, "page": 123, "column": "<string>", "more": true, "before": {}, "after": {}, "sort": [ { "column": "<string>", "order": "DESC" } ] } } '
{ "page": { "pageSize": 123, "page": 123, "column": "<string>", "more": true, "before": {}, "after": {}, "sort": [ { "column": "<string>", "order": "DESC" } ] }, "contracts": [ { "id": 123, "projectId": 123, "contractName": "<string>", "contractAddress": "<string>", "contractType": "<string>", "chainId": 123, "source": "LINKED", "createdAt": "<string>", "updatedAt": "<string>", "itemsContractAddress": "<string>", "abi": "<string>", "bytecode": "<string>", "bytecodeHash": "<string>", "audienceId": 123 } ] }
Documentation IndexFetch the complete documentation index at: https://docs.sequence.xyz/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.sequence.xyz/llms.txt
Use this file to discover all available pages before exploring further.
Public project access key for authenticating requests obtained on Sequence Builder. Example Test Key: AQAAAAAAAEGvyZiWA9FMslYeG_yayXaHnSI
Show child attributes
OK
[]Contract
Was this page helpful?